# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_ActorWrite Class Reference

Extends ActorWrite from STEPControl by analysis of
whether shape is assembly (based on information from DECAF)
.

`#include <STEPCAFControl_ActorWrite.hxx>`

Inheritance diagram for STEPCAFControl_ActorWrite:

[legend]

## Public Member Functions

Standard_EXPORT | STEPCAFControl_ActorWrite ()
virtual Standard_EXPORT Standard_Boolean | IsAssembly (TopoDS_Shape &S) const
| Check whether shape S is assembly Returns True if shape is registered in assemblies map .
Standard_EXPORT void | SetStdMode (const Standard_Boolean stdmode=Standard_True)
| Set standard mode of work In standard mode Actor (default) behaves exactly as its ancestor, also map is cleared .
Standard_EXPORT void | ClearMap ()
| Clears map of shapes registered as assemblies .
Standard_EXPORT void | RegisterAssembly (const TopoDS_Shape &S)
| Registers shape to be written as assembly The shape should be TopoDS_Compound (else does nothing) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | myStdMode
TopTools_MapOfShape | myMap

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_ActorWrite::STEPCAFControl_ActorWrite | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void STEPCAFControl_ActorWrite::ClearMap | ( |  | ) |

Standard_EXPORT const STEPCAFControl_ActorWrite::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from STEPControl_ActorWrite.

virtual Standard_EXPORT Standard_Boolean STEPCAFControl_ActorWrite::IsAssembly | ( | TopoDS_Shape & | S | ) | const`[virtual]`

| Reimplemented from STEPControl_ActorWrite.

Standard_EXPORT void STEPCAFControl_ActorWrite::RegisterAssembly | ( | const TopoDS_Shape & | S | ) |

Standard_EXPORT void STEPCAFControl_ActorWrite::SetStdMode | ( | const Standard_Boolean | stdmode = `Standard_True` | ) |

## Field Documentation

TopTools_MapOfShape STEPCAFControl_ActorWrite::myMap `[private]`

Standard_Boolean STEPCAFControl_ActorWrite::myStdMode `[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_ActorWrite.hxx